# Az - Blob Storage Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

## Storage Privesc

Za više informacija o skladištu, proverite:

{{#ref}}
../az-services/az-storage.md
{{#endref}}

### `Microsoft.Storage/storageAccounts/blobServices/containers/blobs/read`

Principal sa ovom dozvolom će moći da **lista** blobove (fajlove) unutar kontejnera i **preuzme** fajlove koji mogu sadržati **osetljive informacije**.
```bash
# e.g. Microsoft.Storage/storageAccounts/blobServices/containers/blobs/read
az storage blob list \
--account-name <acc-name> \
--container-name <container-name> --auth-mode login

az storage blob download \
--account-name <acc-name> \
--container-name <container-name> \
-n file.txt --auth-mode login
```
### `Microsoft.Storage/storageAccounts/blobServices/containers/blobs/write`

Principal sa ovom dozvolom će moći da **piše i prepisuje datoteke u kontejnerima** što bi moglo da mu omogući da izazove neku štetu ili čak da eskalira privilegije (npr. prepisivanje nekog koda smeštenog u blob):
```bash
# e.g. Microsoft.Storage/storageAccounts/blobServices/containers/blobs/write
az storage blob upload \
--account-name <acc-name> \
--container-name <container-name> \
--file /tmp/up.txt --auth-mode login --overwrite
```
### \*/delete

Ovo bi omogućilo brisanje objekata unutar naloga za skladištenje što bi moglo **prekinuti neke usluge** ili učiniti da klijent **izgubi dragocene informacije**.

{{#include ../../../banners/hacktricks-training.md}}
